Deprecated: Function get_magic_quotes_gpc() is deprecated in /home/ustmbir/domains/deeplearning.ir/public_html/qa/qa-include/qa-base.php on line 1177
cannot import name 'cublas' - پرسش و پاسخ یادگیری عمیق
به بخش پرسش و پاسخ یادگیری عمیق خوش آمدید,
این نسخه آزمایشی سایت است.
لطفا به نکات زیر توجه کنید:
  • برای ارتباط با مدیران میتوانید از صفحه مدیران اقدام کنید.
  • سوال و جواب ها باید به زبان فارسی باشند. استفاده از زبان انگلیسی یا فینگلیش برای پاسخ دادن مجاز نیست.
  • لطفا بعد از پرسش سوال لینک سوال خود را در گرو تلگرام (Iran Deep Learning Group) معرفی کنید تا سریعتر به جواب برسید. برای دسترسی به آخرین لینک از منابع یادگیری استفاده کنید
  • لطفا بجای عکس از متن استفاده کنید. اگر متون طولانی هستند از سایت pastebin.com برای اپلود استفاده کرده و لینک حاصل را در سوال خود قرار دهید. برای قرار دادن تصویر ، از بخش ارسال تصویر ادیتور سایت استفاده کنید.
  • بعد از دریافت پاسخ، بهترین پاسخ را از طریق کلیک بر روی علامت تیک انتخاب کنید
  • اگر با خطا و یا مشکلی مواجه شدید از بخش تماس با ما در انتهای صفحه و یا ایمیل Coderx7@gmail.com موضوع را اطلاع دهید.

با تشکر

دسته بندی ها

0 امتیاز

سلام خدمت دوستان.
من درگیر برنامه ای هستم و با خطای زیر مواجه شدم:

RuntimeError: CUDA environment is not correctly set up
(see https://github.com/chainer/chainer#installation).cannot import name 'cublas'
خطایی که من هنگام نصب cupy با دستور conda install -c anaconda cupy گرفتم که بعد در برنامه منجر به خطای بالا شد:
RemoveError: 'setuptools' is a dependency of conda and cannot be removed from
conda's operating environment.
کارت گرافیک من intel هست و سیستم عامل ویندوز 10 هست.
ممنون میشم از دوستان کمکم کنین تا حلش کنم.

توسط (113 امتیاز)
ویرایش شده توسط
لطفا توضیح کامل بدید . چه چیزی رو دارید نصب میکنید؟ رو چه سیستم عاملی هستید؟ مشخصات کارت گرافیکتون چیه؟ چه گام هایی برداشتید و خروجی کامل خطا چی بوده. تمام این موارد رو لطفا به متن سوال اضافه کنید تا بتونید جواب درست بگیرید.

1 پاسخ

0 امتیاز
 
بهترین پاسخ

مشکل از کارت گرافیک هست. مشخصات کارت گرافیک من:
Intel(R) HD Graphics 4000

با کارت گرافیک اینتل تقریبا هیچ کاری نمیتونید بکنید. (ضمنا از cuda پشتیبانی نمی کنه که همین علت خطا هست.)
بهترین گزینه شما فریم ورکها و کتابخونه هایی هست که با OpenCL یا roCm کار کرده باشن .
که اینا هم یا پشتیبانی ندارن یا خیلی ضعیف هستن.
برنچ کفی اوپن سی ال هست میتونید استفاده کنید
برنچ تنسورفلو rocm هم هست منتها باید ببینید از کارت گرافیک شما پشتیبانی میکنه یا نه . اگه کرد که چه بهتر اگر نه
یا باید یه کارت گرافیک بگیرید یا با سی پی یو کار کنید که اونم خیلی کنده.
ضمنا برای کسانی که مشکل تهیه gpu دارند بهترین گزینه Google Colab هست که جی پی یو رایگان میده که آموزش استفاده هم در سایت لطف کردن و قرار دادن.

توسط (113 امتیاز)
انتخاب شده توسط
...